Package org.eclipse.birt.chart.render

# Interface ISeriesRenderingHints3D

All Superinterfaces:
  `ISeriesRenderingHints`

All Known Implementing Classes:
  `SeriesRenderingHints3D`

public interface ISeriesRenderingHints3D extends ISeriesRenderingHints
This interface defines the 3D rendering hints required by series renderer.

## Field Summary

### Fields inherited from interface org.eclipse.birt.chart.render.ISeriesRenderingHints

`ANCILLARY_EMPTY, BASE_ANCILLARY_IN_SYNC, BASE_ANCILLARY_OUT_OF_SYNC, BASE_EMPTY, BASE_ORTHOGONAL_IN_SYNC, BASE_ORTHOGONAL_OUT_OF_SYNC, ORTHOGONAL_EMPTY, UNDEFINED`

## Method Summary

Modifier and Type
Method
Description
`DataSetIterator`
`getSeriesDataSet()`
Returns the dataset bound to Series.

### Methods inherited from interface org.eclipse.birt.chart.render.ISeriesRenderingHints

`getBaseDataSet, getClientAreaBounds, getDataPoints, getDataSetStructure, getOrthogonalDataSet`

## Method Details

### getSeriesDataSet

DataSetIterator getSeriesDataSet()
Returns the dataset bound to Series.

Returns: